net.snowflake.client.jdbc.cloud.storage

## Class StorageObjectSummary

- java.lang.Object
- - net.snowflake.client.jdbc.cloud.storage.StorageObjectSummary

    public class StorageObjectSummary
    extends Object

Storage platform agnostic class that encapsulates remote storage object properties

Author:
  lgiakoumakis

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getETag()`
`String` `getKey()`
`String` `getLocation()`
`long` `getSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLocation

    public String getLocation()

Returns:
  returns the location of the object

#### getKey

    public String getKey()

Returns:
  returns the key property of the object

#### getETag

    public String getETag()

Returns:
  returns the ETag property of the object

#### getSize

    public long getSize()

Returns:
  returns the size property of the object